function [freq_reco] = get_reconstructable_freq(freq,z,M)
%GET_RECONSTRUCTABLE_FREQ Determines which frequencies a lattice keeps collision free.
y=mod(freq*z',M);
[y,ind]=sort(y);
[y,ind2]=setdiff(y,y(find(y(2:end)-y(1:end-1)==0)));
freq_reco = freq(ind(ind2),:);
end

